2010-05-25  Lluis Sanchez Gual  <lluis@novell.com>

	* Mono.Addins.Gui.csproj: Add Debug and Release
	  configurations.

2010-03-30  Lluis Sanchez Gual  <lluis@novell.com>

	* Mono.Addins.Gui.csproj: csc doesn't like iso-2.

2010-03-29  Lluis Sanchez Gual  <lluis@novell.com>

	* Mono.Addins.Gui.csproj: Make sure the solution builds on
	  MS.NET 2.0.

2010-03-26  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/generated.cs:
	* Mono.Addins.Gui.csproj:
	* gtk-gui/Mono.Addins.Gui.ErrorDialog.cs:
	* gtk-gui/Mono.Addins.Gui.NewSiteDialog.cs:
	* gtk-gui/Mono.Addins.Gui.ProgressDialog.cs:
	* gtk-gui/Mono.Addins.Gui.AddinInfoDialog.cs:
	* gtk-gui/Mono.Addins.Gui.ManageSitesDialog.cs:
	* gtk-gui/Mono.Addins.Gui.AddinInstallDialog.cs:
	* gtk-gui/Mono.Addins.Gui.AddinManagerDialog.cs:
	* gtk-gui/Mono.Addins.Gui.AddinInstallerDialog.cs: Flush.

2009-09-01  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs: Bump Mono.Addins version.

2009-08-20  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am: Build using gmcs.

2009-08-19  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic:
	* gtk-gui/Mono.Addins.Gui.ProgressDialog.cs:
	* gtk-gui/Mono.Addins.Gui.AddinInstallerDialog.cs: Flush.

	* Mono.Addins.Gui.csproj: Update target framework to 2.0.

2009-05-28  Lluis Sanchez Gual  <lluis@novell.com>

	* Mono.Addins.Gui.csproj: Properly sign assemblies.

2009-05-27  Lluis Sanchez Gual  <lluis@novell.com>

	* Mono.Addins.Gui/ProgressDialog.cs: The error dialog must run
	  in the gui thread.

2009-02-06  Lluis Sanchez Gual  <lluis@novell.com>

	* Mono.Addins.Gui.csproj: Updated.

2009-02-06  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic:
	* gtk-gui/generated.cs:
	* gtk-gui/Mono.Addins.Gui.ErrorDialog.cs:
	* gtk-gui/Mono.Addins.Gui.NewSiteDialog.cs:
	* gtk-gui/Mono.Addins.Gui.ProgressDialog.cs:
	* gtk-gui/Mono.Addins.Gui.AddinInfoDialog.cs:
	* gtk-gui/Mono.Addins.Gui.ManageSitesDialog.cs:
	* gtk-gui/Mono.Addins.Gui.AddinManagerDialog.cs:
	* gtk-gui/Mono.Addins.Gui.AddinInstallDialog.cs:
	* gtk-gui/Mono.Addins.Gui.AddinInstallerDialog.cs: Flush.

2008-11-10  Lluis Sanchez Gual  <lluis@novell.com>

	* mono-addins-gui.pc.in: Respect custom libdir during ./configure. Fixes
	bug #443205. Patch by Diego Pettenò.

2008-11-10  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am: Fix building with parallel make jobs (-j8). Fixes bug
	#443206. Patch by Diego Pettenò.

2008-08-22  Lluis Sanchez Gual <lluis@novell.com> 

	* Mono.Addins.Gui.csproj, Mono.Addins.Gui.mdp: Use msbuild file format
	  for projects. Removed the old MD1 projects.

2008-06-11  Lluis Sanchez Gual <lluis@novell.com> 

	* Mono.Addins.Gui/AddinManagerDialog.cs: Fix build.

2008-06-11  Lluis Sanchez Gual <lluis@novell.com> 

	* Mono.Addins.Gui/AddinManagerDialog.cs: Don't allow uninstalling
	  add-ins with the CantUninstall flag. Same for CantDisable and
	  Hidden flags.

2008-02-15  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/Mono.Addins.Gui.AddinInstallDialog.cs,
	  gtk-gui/Mono.Addins.Gui.AddinManagerDialog.cs, gtk-gui/gui.stetic,
	  Mono.Addins.Gui.mdp: Flush.

2008-02-06  Lluis Sanchez Gual <lluis@novell.com> 

	* AssemblyInfo.cs: Added support for pluggable add-in assembly reflectors.
	  Implemented an add-in assembly reflector based on Cecil.

2008-01-17  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/Mono.Addins.Gui.ManageSitesDialog.cs,
	  gtk-gui/Mono.Addins.Gui.AddinInstallDialog.cs,
	  gtk-gui/Mono.Addins.Gui.ErrorDialog.cs,
	  gtk-gui/Mono.Addins.Gui.AddinManagerDialog.cs,
	  gtk-gui/Mono.Addins.Gui.AddinInfoDialog.cs,
	  gtk-gui/Mono.Addins.Gui.AddinInstallerDialog.cs: Regenerated.
	* gtk-gui/Mono.Addins.Gui.ProgressDialog.cs, gtk-gui/gui.stetic,
	  Makefile.am, Mono.Addins.Gui.mdp, Mono.Addins.Gui/ProgressDialog.cs:
	  Added new progress dialog to be used when updating registries.
	* Mono.Addins.Gui/ManageSitesDialog.cs: When adding a repository, update it
	  to get the add-in list.
	* Mono.Addins.Gui/AddinInstallDialog.cs: Improve progress reporting.

2008-01-07  Lluis Sanchez Gual <lluis@novell.com> 

	* Mono.Addins.Gui.csproj: Updated VS solution files. Patch by Andrés G.
	  Aragoneses.

2007-12-15  Lluis Sanchez Gual <lluis@novell.com> 

	* mono-addins-gui.pc.in: Update assembly paths.

2007-12-12  Lluis Sanchez Gual <lluis@novell.com> 

	* Makefile.am: Generate and install policy files for old Mono.Addins
	  versions.

2007-12-11  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/Mono.Addins.Gui.AddinInstallDialog.cs,
	  gtk-gui/Mono.Addins.Gui.NewSiteDialog.cs, gtk-gui/gui.stetic,
	  Makefile.am, Mono.Addins.Gui.mdp, Mono.Addins.Gui/AddinInstallDialog.cs:
	  Properly report warnings when installing add-ins.

2007-12-05  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/gui.stetic, Mono.Addins.Gui.mdp: Flush.
	* Mono.Addins.Gui/AddinInstallDialog.cs: When checking if an add-in is
	  installed, don't provide the version number. This will return whatever
	  version is installed.

2007-12-04  Geoff Norton  <gnorton@novell.com>

	* Mono.Addins.Gui/AddinInstallDialog.cs: Use Process.Start to launch
	a web browser rather than Gnome.Url.Show.
	* Mono.Addins.Gui.mdp: 
	* Makefile.am: Remove dependency on gnome-sharp

2007-12-04  Lluis Sanchez Gual <lluis@novell.com> 

	* mono-addins-gui.pc.in: Fix dependencies.

2007-10-29  Lluis Sanchez Gual <lluis@novell.com> 

	* Mono.Addins.Gui.mdp: Update paths.

2007-10-18  Lluis Sanchez Gual <lluis@novell.com> 

	* AssemblyInfo.cs: Get ready for 0.3 release.

2007-10-10  Lluis Sanchez Gual <lluis@novell.com> 

	* Mono.Addins.Gui/AddinTreeWidget.cs: Make this class public.

2007-09-10  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/Mono.Addins.Gui.ManageSitesDialog.cs, gtk-gui/generated.cs,
	  gtk-gui/Mono.Addins.Gui.AddinInstallDialog.cs,
	  gtk-gui/Mono.Addins.Gui.ErrorDialog.cs,
	  gtk-gui/Mono.Addins.Gui.AddinManagerDialog.cs,
	  gtk-gui/Mono.Addins.Gui.AddinInfoDialog.cs,
	  gtk-gui/Mono.Addins.Gui.AddinInstallerDialog.cs,
	  gtk-gui/Mono.Addins.Gui.NewSiteDialog.cs, gtk-gui/gui.stetic,
	  Mono.Addins.Gui/NewSiteDialog.cs: Fix some GUI issues in the manage
	  sites dialog.

2007-08-07  Chris Howie <cdhowie@nerdshack.com>

	* gtk-gui/Mono.Addins.Gui.AddinManagerDialog.cs,
	  gtk-gui/Mono.Addins.Gui.AddinInfoDialog.cs,
	  gtk-gui/Mono.Addins.Gui.ErrorDialog.cs, gtk-gui/gui.stetic: Removed
	  MonoDevelop-specific strings.
	* gtk-gui/Mono.Addins.Gui.ManageSitesDialog.cs, gtk-gui/generated.cs,
	  gtk-gui/Mono.Addins.Gui.AddinInstallDialog.cs,
	  gtk-gui/Mono.Addins.Gui.ManageSitesDialog.cs,
	  gtk-gui/Mono.Addins.Gui.AddinInstallerDialog.cs: Regenerated.
	* Mono.Addins.Gui/AddinManagerWindow.cs: Added static property for
	  the flag that hides install buttons.
	* Mono.Addins.Gui/AddinManagerDialog.cs: Implementation of the above
	  property.
	* icons/system-software-update.png: Added missing icon.

2007-07-16  Lluis Sanchez Gual <lluis@novell.com> 

	* Makefile.am: Don't try to install the assembly if gui is disabled.

2007-07-05  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/Mono.Addins.Gui.AddinInstallDialog.cs,
	  gtk-gui/Mono.Addins.Gui.AddinManagerDialog.cs, gtk-gui/gui.stetic:
	  The OK button must be hidden by default.

2007-07-03  Lluis Sanchez Gual <lluis@novell.com> 

	* AssemblyInfo.cs, Makefile.am, Mono.Addins.Gui.mdp: Sign the assembly.
	* Mono.Addins.Gui/AddinInstallerDialog.cs: Added missing (C) header.

2007-07-02  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/generated.cs, gtk-gui/Mono.Addins.Gui.AddinManagerDialog.cs:
	  Updated.
	* gtk-gui/Mono.Addins.Gui.AddinInstallerDialog.cs, gtk-gui/gui.stetic,
	  Mono.Addins.Gui/AddinInstaller.cs,
	  Mono.Addins.Gui/AddinInstallerDialog.cs: Added an implementation of
	  IAddinInstaller.
	* Makefile.am, Mono.Addins.Gui.mdp: Added new files.
	* Mono.Addins.Gui/AddinInstallDialog.cs: Don't include markup in
	  translatable strings.

2007-05-25  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/generated.cs, gtk-gui/Mono.Addins.Gui.AddinInstallDialog.cs,
	  gtk-gui/Mono.Addins.Gui.ErrorDialog.cs,
	  gtk-gui/Mono.Addins.Gui.AddinManagerDialog.cs, gtk-gui/gui.stetic:
	  Updated.
	* Mono.Addins.Gui/AddinManagerDialog.cs: Handle exceptions thrown when
	  enabling/disabling add-ins.

2007-05-10  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/Mono.Addins.Gui.AddinManagerDialog.cs, gtk-gui/gui.stetic:
	  Updated.
	* Mono.Addins.Gui/NewSiteDialog.cs,
	  Mono.Addins.Gui/ManageSitesDialog.cs,
	  Mono.Addins.Gui/AddinManagerWindow.cs, Mono.Addins.Gui/Services.cs,
	  Mono.Addins.Gui/AddinInstallDialog.cs,
	  Mono.Addins.Gui/ErrorDialog.cs,
	  Mono.Addins.Gui/AddinManagerDialog.cs: Properly destroy all
	  dialogs.

2007-05-04  Lluis Sanchez Gual <lluis@novell.com> 

	* Mono.Addins.mdp: Updated.
	* Mono.Addins/ExtensionContext.cs: Fixed GetExtensionObjects overload
	  which was not using the correct reuseCachedInstance value.
	* Mono.Addins/ExtensionTree.cs: Improved error message. When looking
	  for a type in an assembly, avoid throwing an exception too early,
	  since it may be found in other assemblies.
	* Mono.Addins.Database/AddinDatabase.cs: In the addin info cache, also
	  store information about unsuccessful lookups, to avoid looking for
	  an add-in again if we found that it doesn't exist. In Update(),
	  don't use verbose output by default.

2007-04-04  Lluis Sanchez Gual <lluis@novell.com> 

	* Mono.Addins.Gui.csproj: Added msbuild project files. Patch by
	  Matthijs ter Woord.

2007-03-30  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/Mono.Addins.Gui.ManageSitesDialog.cs,
	  gtk-gui/Mono.Addins.Gui.AddinInstallDialog.cs,
	  gtk-gui/Mono.Addins.Gui.ErrorDialog.cs,
	  gtk-gui/Mono.Addins.Gui.AddinManagerDialog.cs,
	  gtk-gui/Mono.Addins.Gui.AddinInfoDialog.cs,
	  gtk-gui/Mono.Addins.Gui.NewSiteDialog.cs, gtk-gui/gui.stetic:
	  Updated.
	* Mono.Addins.Gui/NewSiteDialog.cs: Implement missing bits in the
	  dialog.
	* Mono.Addins.Gui/AddinInstallDialog.cs: Fixed nullref. Removed
	  "restart" message.

2007-03-23  Lluis Sanchez Gual <lluis@novell.com> 

	* Makefile.am, Mono.Addins.Gui.mdp: Enabled conditional compilation of
	  the gui lib.

